summaryrefslogtreecommitdiff
path: root/debian/gator-daemon/DEBIAN/preinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/gator-daemon/DEBIAN/preinst')
-rwxr-xr-xdebian/gator-daemon/DEBIAN/preinst50
1 files changed, 50 insertions, 0 deletions
diff --git a/debian/gator-daemon/DEBIAN/preinst b/debian/gator-daemon/DEBIAN/preinst
new file mode 100755
index 0000000..757ae7f
--- /dev/null
+++ b/debian/gator-daemon/DEBIAN/preinst
@@ -0,0 +1,50 @@
+#!/bin/sh
+# preinst script for gator-daemon
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ mkdir -p /var/lib/gatord/
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+# Automatically added by dh_installinit
+if [ "$1" = install ] || [ "$1" = upgrade ]; then
+ if [ -e "/etc/init.d/gator-daemon" ] && [ ! -L "/etc/init.d/gator-daemon" ]; then
+ if [ "`md5sum \"/etc/init.d/gator-daemon\" | sed -e \"s/ .*//\"`" != \
+ "`dpkg-query -W -f='${Conffiles}' gator-daemon | sed -n -e \"\\\\' /etc/init.d/gator-daemon '{s/ obsolete$//;s/.* //p}\"`" ]
+ then
+ echo "Obsolete conffile /etc/init.d/gator-daemon has been modified by you, renaming to .dpkg-bak"
+ mv -f "/etc/init.d/gator-daemon" "/etc/init.d/gator-daemon.dpkg-bak"
+ else
+ rm -f "/etc/init.d/gator-daemon"
+ fi
+ fi
+fi
+# End automatically added section
+
+
+exit 0